2010-07-19  Mike Krüger  <mkrueger@novell.com>

	* Gui/CTextEditorExtension.cs: Fixed the C return command.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs:
	* Navigation/LanguageItemCommandHandler.cs: Track API changes.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* CBinding.csproj:
	* Gui/CTextEditorExtension.cs: Track API changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: Track API changes.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* CBinding.addin.xml:
	* Parser/CDocumentParser.cs: Track ProjectDomService/Parser
	  API.

2010-06-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs: Allow setting the External Console flag
	  in the options.

	* templates/ConsoleCProject.xpt.xml:
	* templates/ConsoleCppProject.xpt.xml: Set the external
	  console flag for console projects.

2010-05-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Project/CProjectBinding.cs: Only create single file projects
	  for C/C++ files.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Compiler/GNUCompiler.cs: Don't include the generic () errors
	  in the errors list. Don't reverse order of errors from
	  compiler.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CBinding.csproj:
	* gtk-gui/gui.stetic:
	* Gui/AddPathDialog.cs:
	* Gui/AddLibraryDialog.cs:
	* Gui/OutputOptionsPanel.cs:
	* Gui/CodeGenerationPanel.cs:
	* gtk-gui/CBinding.AddPathDialog.cs:
	* gtk-gui/CBinding.AddLibraryDialog.cs:
	* gtk-gui/CBinding.OutputOptionsPanel.cs:
	* gtk-gui/CBinding.CodeGenerationPanel.cs:
	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Clean up
	  dialog placement.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CBinding.csproj:
	* CBinding.addin.xml:
	* Project/CProject.cs:
	* Gui/CTextEditorExtension.cs:
	* Gui/SwapSourceHeaderCommand.cs: Replaced the 'Swap
	  Source/Header' command by a handler for the 'Switch between
	  related files' command.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: Track API changes.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: Track API changes.

2010-03-26  Levi Bard  <levi@unity3d.com>

	* Project/CProject.cs: Fix linking for library projects whose
	  names are prefixed with lib. Fixes #587298.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CBinding.addin.xml: Bumped MD version.

2010-03-18  Levi Bard  <levi@unity3d.com>

	* Gui/DataProvider.cs: 
	* Gui/CTextEditorExtension.cs: Track API changes.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.csproj: Remove import off mono.addins targets.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* CBinding.csproj:
	* CBinding.addin.xml:
	* gtk-gui/gui.stetic:
	* Project/CProject.cs:
	* Gui/DataProvider.cs:
	* Gui/CompilerPanel.cs:
	* Compiler/CCompiler.cs:
	* Parser/LanguageItem.cs:
	* Compiler/GppCompiler.cs:
	* Compiler/GNUCompiler.cs:
	* Compiler/GccCompiler.cs:
	* Gui/EditPackagesDialog.cs:
	* Gui/OutputOptionsPanel.cs:
	* Parser/CDocumentParser.cs:
	* Gui/GeneralOptionsPanel.cs:
	* Gui/CodeGenerationPanel.cs:
	* Gui/CTextEditorExtension.cs:
	* Navigation/UnionNodeBuilder.cs:
	* Navigation/MacroNodeBuilder.cs:
	* Navigation/ClassNodeBuilder.cs:
	* Gui/SwapSourceHeaderCommand.cs:
	* Navigation/MemberNodeBuilder.cs:
	* Navigation/GlobalsNodeBuilder.cs:
	* Navigation/TypedefNodeBuilder.cs:
	* Navigation/FunctionNodeBuilder.cs:
	* Navigation/VariableNodeBuilder.cs:
	* Navigation/StructureNodeBuilder.cs:
	* Navigation/NamespaceNodeBuilder.cs:
	* Navigation/EnumeratorNodeBuilder.cs:
	* Navigation/EnumerationNodeBuilder.cs:
	* ProjectPad/ProjectPackageNodeBuilder.cs:
	* gtk-gui/CBinding.CodeGenerationPanel.cs:
	* Navigation/LanguageItemCommandHandler.cs:
	* Navigation/MacroDefinitionsNodeBuilder.cs:
	* Navigation/ProjectNodeBuilderExtension.cs:
	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Merged
	  MD.Projects into MD.Core, and MD.Projects.Gui, MD.Core.Gui
	  and MD.Components into MD.Ide.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* Project/CProject.cs: Track ProjectFile Link API.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/DataProvider.cs: Track api changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.addin.xml: Added some conditions to avoid early
	  loading of extensions.

	* Gui/CTextEditorExtension.cs: File extensions are now
	  declared in the node metadata.

2010-02-04  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/GNUCompiler.cs: Support gcc "note" errortype.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/CBinding.CompilerPanel.cs:
	* gtk-gui/CBinding.AddPathDialog.cs:
	* gtk-gui/CBinding.PackageDetails.cs:
	* gtk-gui/CBinding.AddLibraryDialog.cs:
	* gtk-gui/CBinding.OutputOptionsPanel.cs:
	* gtk-gui/CBinding.EditPackagesDialog.cs:
	* gtk-gui/CBinding.CodeGenerationPanel.cs:
	* gtk-gui/CBinding.GeneralOptionsPanel.cs: Flush.

2010-01-27  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: Track API changes.

2010-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProjectServiceExtension.cs: Enable extension only
	  for C projects.

2010-01-07  Michael Hutchinson  <mhutchinson@novell.com>

	* CBinding.addin.xml: Reverted the fix for Bug 468416 because
	  it marked .h as c++ headers, which is the wrong mimetype.

2010-01-04  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/TagDatabaseManager.cs: Allow parsing of headers
	  included from packages.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Parser/TagDatabaseManager.cs: Name threads to make debugging
	  easier.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs:
	* Gui/CompilerPanel.cs:
	* Gui/EditPackagesDialog.cs:
	* Project/CProjectServiceExtension.cs:
	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Introduced
	  the ConfigurationSelector class to all methods that
	  previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Project/CProject.cs: Track API. Get correct configuration.

2009-11-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/CDocumentParser.cs:
	* Parser/TagDatabaseManager.cs: Lock projectinfo on update.

2009-11-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/EditPackagesDialog.cs: Don't let bad packages break
	  scanning.

2009-11-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Gui/DataProvider.cs: Escape text for parameter completion.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CompilerPanel.cs:
	* Gui/EditPackagesDialog.cs:
	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Use the
	  correct method for getting the active configuration.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CBinding.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/CBinding.AddPathDialog.cs:
	* gtk-gui/CBinding.CompilerPanel.cs:
	* gtk-gui/CBinding.PackageDetails.cs:
	* gtk-gui/CBinding.AddLibraryDialog.cs:
	* gtk-gui/CBinding.EditPackagesDialog.cs:
	* gtk-gui/CBinding.OutputOptionsPanel.cs:
	* gtk-gui/CBinding.CodeGenerationPanel.cs:
	* gtk-gui/CBinding.GeneralOptionsPanel.cs: Flush.

2009-10-13  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs:
	* Project/CProjectServiceExtension.cs: Properly resolve active
	  configuration.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CBinding.addin.xml: Bump MD version.

2009-10-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CBinding.csproj:
	* CBinding.addin.xml:
	* Gui/CTextEditorExtension.cs:
	* Gui/SwapSourceHeaderCommand.cs: Only show the swap
	  source/header command contextually. Fixes "Bug 544022 -
	  "Swap source/header" is visible in context menu for all
	  files".

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Compiler/GNUCompiler.cs: Fix bug #478735 - Can't link a
	  library with a dot in the name.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs:
	* Gui/CTextEditorExtension.cs: Track API changes.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* Gui/OutputOptionsPanel.cs: 
	* Gui/CodeGenerationPanel.cs: 
	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Set dialogs
	  transient to the gtk window of the calling widget.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.csproj: Updated dependencies. We now depend on gtk#
	  2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-18  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/TagDatabaseManager.cs: Clear file info before update.

2009-08-18  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/Member.cs: 
	* Gui/CTextEditorExtension.cs: 
	* Parser/TagDatabaseManager.cs: 
	  Fix C and C++ completion.

2009-08-17  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformation.cs: Fix #530826.

2009-08-13  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/ProjectInformationManager.cs: Fix NRE.

2009-08-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* CBinding.addin.xml: 
	* Makefile.am: 
	* Parser/CDocumentParser.cs: 
	* CBinding.csproj: 
	  Allows the quickfinder and folds list to be populated 
	  from the existing ctags database. Fixes #513382.

2009-08-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Project/CProject.cs:
	* Parser/TagDatabaseManager.cs:
	* Parser/ProjectInformation.cs: Remove info from parse db when
	  a file is removed from the project. Fixes #398632.

2009-08-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Compiler/GNUCompiler.cs: Be more helpful on unparsable
	  compiler/linker failure. Fixes #487964.

2009-08-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* CBinding.addin.xml: Make supported file extensions more
	  comprehensive and consistent.

2009-08-12  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* CBinding.addin.xml: Set appropriate extension point for
	  editor context menu command. Fixes #508838.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/CBinding.PackageDetails.cs: Flush.

2009-07-29  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: Track API changes.

2009-07-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProjectBinding.cs: Track api changes. Patch by
	  Viktoria Dudka.

2009-07-08  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: Added range check.

2009-06-29  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* Compiler/GNUCompiler.cs: Localize output parser.
	  Fixes #501898.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Parser/TagDatabaseManager.cs: Use the new DesktopService
	  instead of PlatformService.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs: Track api changes.

2009-06-13  Mike Krüger  <mkrueger@novell.com>

	* Gui/CTextEditorExtension.cs: Applied patch "Bug 512617 -
	  [PATCH] Deleting a selected line with Enter, got "Error in
	  text editor extension chain.".

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* CLanguageBinding.cs:
	* CppLanguageBinding.cs: Track comment tag API.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs: Track api changes in IExecutionHandler.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* templates/ConsoleCProject.xpt.xml:
	* templates/EmptyCSourceFile.xft.xml:
	* templates/EmptyCHeaderFile.xft.xml:
	* templates/ConsoleCppProject.xpt.xml:
	* templates/EmptyCppHeaderFile.xft.xml:
	* templates/EmptyCppSourceFile.xft.xml:
	* templates/StaticLibraryCProject.xpt.xml:
	* templates/SharedLibraryCProject.xpt.xml:
	* templates/SharedLibraryCppProject.xpt.xml:
	* templates/StaticLibraryCppProject.xpt.xml: Fixed "Bug 491090
	  - Standard Header doesn't work".

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/gui.stetic:
	* Gui/CTextEditorExtension.cs:
	* gtk-gui/CBinding.AddPathDialog.cs:
	* gtk-gui/CBinding.AddLibraryDialog.cs: Track api changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* CBinding.csproj: don't require specific gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CBinding.addin.xml: Bump MD version.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/CBinding.PackageDetails.cs: Making some strings not
	  translatable.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs: Changed the way execution handlers
	  work. We are not using platform ids anymore. Instead, we use
	  command strings when looking for execution handlers.
	  IExecutionHandlerFactory has been removed and now everything
	  is handled by IExecutionHandler, which has a new CanExecute
	  method. This model is more simple and more generic.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* CBinding.csproj: Don't use 'make' to build.

2009-02-18  Mike Krüger  <mkrueger@novell.com>

	* Project/Package.cs:
	* Project/CProject.cs:
	* Compiler/ICompiler.cs:
	* Compiler/CCompiler.cs:
	* Compiler/GNUCompiler.cs: Fixed 'Bug 456971 - ${ProjectDir}
	  Not updating for currently building project'.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CTextEditorExtension.cs: Rename second 'openingLine'
	  variable, as csc is more picky about multiple locals with
	  the same name in switches.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* CBinding.csproj: Flush MD's removal of newline at end of
	  file that was introduced by manually editing with gedit.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* CBinding.csproj: Remove invalid ApplicationIcon value that
	  broke the build in VS.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* Parser/TagDatabaseManager.cs: fixed compiler warnings.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/CBinding.AddPathDialog.cs:
	* gtk-gui/CBinding.CompilerPanel.cs:
	* gtk-gui/CBinding.PackageDetails.cs:
	* gtk-gui/CBinding.AddLibraryDialog.cs:
	* gtk-gui/CBinding.EditPackagesDialog.cs:
	* gtk-gui/CBinding.OutputOptionsPanel.cs:
	* gtk-gui/CBinding.CodeGenerationPanel.cs:
	* gtk-gui/CBinding.GeneralOptionsPanel.cs: Flush.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.mds:
	* CBinding.mdp:
	* CBinding.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* CBinding.addin.xml: Bump MD version.

2009-01-27  Mike Krüger  <mkrueger@novell.com>

	* CBinding.addin.xml: fixed "Bug 468416 - *.h aren't colorized as c++
	headers".

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* CBinding.mdp: Flush project format changes.

2009-01-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/CTextEditorExtension.cs: fixed bug 'Bug 467553 - Enter key doesn't
	delete selected text'.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.mdp:
	* CBinding.Autotools/CBinding.Autotools.mdp: All projects now require fx
	3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.mdp: Don't require a specific version of Mono.Addins.

2008-12-06  Mitchell Wheeler  <mitchell.wheeler@gmail.com>

	* CBinding.addin.xml: Added C++ header mimetype.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/CTextEditorExtension.cs: Track api changes.

2008-12-05  Mitchell Wheeler  <mitchell.wheeler@gmail.com>

	* Gui/CodeGenerationPanel.cs: Fixed typo causing include directories to be
	duplicated when switching between configurations.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* CBinding.mdp:
	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-23  Mitchell Wheeler  <mitchell.wheeler@gmail.com>

	* Gui/CTextEditorExtension.cs: Trailing whitespace after the
	cursor when inserting a new line will no longer copy additional
	whitespace into the next line.

2008-11-23  Mitchell Wheeler  <mitchell.wheeler@gmail.com>

	* Gui/CTextEditorExtension.cs: Fixed index out of range
	exception when attempting to add a new line to the
	beginning of a file.

2008-11-23  Mitchell Wheeler  <mitchell.wheeler@gmail.com>

	* Gui/CTextEditorExtension.cs: Refactored code relating to auto
	indentation - making it more maintainable/extensible for the
	future in addition to fixing various indentation errors under
	certain circumstances.

2008-11-21  Mike Krüger  <mkrueger@novell.com>

	* Gui/DataProvider.cs: fixed 'Bug 447040 - Error in text editor
	extension chain (new case)'.

2008-11-18  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/CTextEditorExtension.cs: Fix Bug 446207 - [Regression] C
	auto-formatting screws up.

2008-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/CProject.cs: Allow running C projects.

	* Makefile.am: Fix parallel build issues.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* CBinding.addin.xml: Bump MD version.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs:
	* Gui/CTextEditorExtension.cs: Track APIs.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs: Track CompletionData API.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/DataProvider.cs: Track API.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* Project/CProject.cs: Track API.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* Gui/DataProvider.cs: implemented IComparable.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/DataProvider.cs: Track api changes.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/CBinding.PackageDetails.cs, gtk-gui/generated.cs,
	  gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.AddPathDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs,
	  gtk-gui/CBinding.GeneralOptionsPanel.cs,
	  gtk-gui/CBinding.CompilerPanel.cs,
	  gtk-gui/CBinding.OutputOptionsPanel.cs,
	  gtk-gui/CBinding.AddLibraryDialog.cs: Updated generated code.

2008-09-08  Mitchell Wheeler <mitchell.wheeler@gmail.com>

	* Gui/CTextEditorExtension.cs, Gui/AddLibraryDialog.cs,
	  Navigation/LanguageItemCommandHandler.cs,
	  Project/CProjectConfiguration.cs, Project/CProject.cs,
	  gtk-gui/CBinding.PackageDetails.cs, gtk-gui/generated.cs,
	  gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.AddPathDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs,
	  gtk-gui/CBinding.GeneralOptionsPanel.cs,
	  gtk-gui/CBinding.CompilerPanel.cs,
	  gtk-gui/CBinding.OutputOptionsPanel.cs,
	  gtk-gui/CBinding.AddLibraryDialog.cs, gtk-gui/gui.stetic,
	  Compiler/GNUCompiler.cs: Fixed various (dependency parsing,
	  compiling, linking) bugs, so the binding now properly handles
	  pathnames with spaces, and use the appropriate project
	  configuration information.  Started removing various gcc-specific
	  library naming conventions from 'generic' areas of the C Binding
	  codebase...  Compiled object & dependency files are now stored in the
	  output directory, so they no longer pollute the source tree.
	* Parser/Tag.cs, Parser/ProjectInformation.cs,
	  Parser/TagDatabaseManager.cs, Parser/LanguageItem.cs,
	  Parser/Member.cs: Fixed various ctags parsing bugs, in relation to
	  pathnames containing spaces;  Tag information now references code by
	  file & line number, to avoid potential cases where the pattern
	  matches more than just the expected section.
	* md1format.xml: Updated MD1 file format serialization to serialize
	  libraries (library paths still broken?).

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs,
	  ProjectPad/ProjectReferencesExtension.cs,
	  ProjectPad/ProjectNodeExtension.cs,
	  Navigation/TypedefNodeBuilder.cs,
	  Navigation/StructureNodeBuilder.cs, Navigation/MacroNodeBuilder.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/ClassNodeBuilder.cs, Navigation/MemberNodeBuilder.cs,
	  Navigation/EnumeratorNodeBuilder.cs,
	  Navigation/LanguageItemCommandHandler.cs,
	  Navigation/GlobalsNodeBuilder.cs,
	  Navigation/FunctionNodeBuilder.cs,
	  Navigation/VariableNodeBuilder.cs,
	  Navigation/EnumerationNodeBuilder.cs,
	  Navigation/UnionNodeBuilder.cs, Navigation/NamespaceNodeBuilder.cs,
	  Navigation/MacroDefinitionsNodeBuilder.cs: Moved the extensible
	  tree view to its own directory.

2008-08-20  Michael Hutchinson <mhutchinson@novell.com> 

	* CBinding.addin.xml, ProjectPad/ProjectResourcesExtension.cs,
	  CBinding.mdp, Makefile.am: Remove the "resources folder" feature.
	  Resources are now shown in the solution tree like any other files.
	  For a detailed explanation see "Bug 381430 - [PATCH] Display
	  resource files in main project tree".

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* CLanguageBinding.cs, CppLanguageBinding.cs: Translated old code to
	  new dom.

2008-07-21  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* Project/ProjectPackageCollection.cs: Cleanup. Fixes bug #390419.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* md1format.xml, Project/CProject.cs, Project/CProjectConfiguration.cs,
	  Project/Package.cs: Moved serialization engine to MonoDevelop.Core.
	  Use new syntax for specifying attribute scope.

2008-06-25  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CProject.cs: Don't set the build action for files when
	  loading a project. Fixes bug #402336.

2008-06-22  Mitchell Wheeler <mitchell.wheeler@gmail.com>

	* Compiler/GNUCompiler.cs: Fix bug#379620.

2008-06-22  Andrés G. Aragoneses <aaragoneses@novell.com> 

	* Gui/EditPackagesDialog.cs: Change the way of distinguishing tabs not
	  to rely on strings that may be translated.
	* gtk-gui/CBinding.EditPackagesDialog.cs, gtk-gui/gui.stetic: Use
	  custom label names.

2008-06-21  Mitchell Wheeler <mitchell.wheeler@gmail.com>

	* Gui/EditPackagesDialog.cs: Re-check if there is a selected
	  package before setting the package details button to sensitive
	  on tab/page change.
	  Fixes new steps to reproduce the bug 398789.

2008-06-10  Marcos David Marín Amador <marcosmarin@gmail.com>

	* Gui/EditPackagesDialog.cs: Check if there is a selected package
	  before setting the package details button to sensitive.
	  Fixes bug 398789.

2008-06-04  Marcos David Marín Amador <marcosmarin@gmail.com>

	* Gui/GeneralOptionsPanel.cs, Parser/TagDatabaseManager.cs: Don't
	  parse local valriables by default.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CProject.cs: The configuration parameter of GetDeployFiles is
	  a solution configuration, so it needs to get the mapped project
	  configuration name. Track some api changes.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Bump MD version.

2008-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CProject.cs: Properly set debug mode when creating a project.

2008-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CodeGenerationPanel.cs, md1format.xml, CBinding.addin.xml,
	  CBinding.mdp, Project/CProjectConfiguration.cs,
	  Project/CCompilationParameters.cs, Project/CProject.cs,
	  Makefile.am, Compiler/GNUCompiler.cs: Removed
	  CCompilationParameters because it is not really needed like in the
	  .net case. Also changed the name used to serialize some properties,
	  to better match the msbuild model. Added a serialization map
	  (md1format.xml) for backwards compatibility with the old mdp
	  format.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CProject.cs: BaseDirectory can't be used until the project
	  has been saved. Fixes bug 393945 - Can not create new C Binding
	  project.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Merged the extension points for project and
	  solution option panels into a single extension point. A single
	  extension point will now be used for all kinds of items. Extension
	  conditions can be used to make panels visible only for some
	  specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Show build options in the build section.
	* Project/CProjectConfiguration.cs: Fix nullref. Fixes bug #393422.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/CProjectServiceExtension.cs, Project/CProject.cs,
	  Compiler/CCompiler.cs, Compiler/ICompiler.cs,
	  Compiler/GNUCompiler.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/OutputOptionsPanel.cs, Gui/EditPackagesDialog.cs,
	  Gui/CodeGenerationPanel.cs, Gui/CompilerPanel.cs,
	  CBinding.addin.xml, ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs, CBinding.mdp,
	  Parser/TagDatabaseManager.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Project/CProjectConfiguration.cs, Project/CProjectBinding.cs,
	  Project/CProjectServiceExtension.cs, Project/CProject.cs,
	  gtk-gui/gui.stetic, Compiler/GNUCompiler.cs: New project model
	  changes.

2008-05-08  Michael Hutchinson <mhutchinson@novell.com> 

	* CBinding.addin.xml: Set "isText" attribute on the mimetype
	  definitions.

2008-04-16  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CTextEditorExtension.cs: Track API change.

2008-04-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Parser/TagDatabaseManager.cs: Fixed bug that prevented system tags from
	  being written and parsed.

2008-04-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/gui.stetic: Made details button unsensitive until a package is
	  selected.

2008-04-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, CBinding.addin.xml,
	  ProjectPad/ProjectPackageNodeBuilder.cs, Project/CProject.cs: Added a
	  command to the Package context menu to see the details on the package
	  and fixed a bug where packages could not be added to a project.

2008-04-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml: Commented out a wrong extension point. Will find the
	  correct one later.

2008-04-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/PackageDetails.cs, Gui/EditPackagesDialog.cs, CBinding.addin.xml,
	  ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs, CBinding.mdp,
	  Project/Package.cs, Project/ProjectPackageCollection.cs,
	  Project/ProjectPackageEventArgs.cs, Project/ProjectPackage.cs,
	  Project/CProject.cs, gtk-gui/CBinding.PackageDetails.cs,
	  gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs, gtk-gui/gui.stetic,
	  Makefile.am, Compiler/CCompiler.cs: Changed the class ProjectPackage to
	  just Package and created a package details dialog that can be seen from
	  the EditPackagesDialog.

2008-04-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/gui.stetic: Fixed bug 369688 - Find as you type doesn't work in
	  the dialog where you select the project references.

2008-04-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs: Alphabetically sort the list of packages and
	  did some formatting.

2008-04-11  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* CBinding.addin.xml, Gui/CTextEditorExtension.cs,
	  Project/CProject.cs: Enable source/header swapping with a keybinding
	  and menu items

2008-04-10  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs: Fixed bug 368755: "MD should not guess if a
	  reference is managed or unmanaged relying on cflags"

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Use the new mime type extension to register new
	  file types.

2008-04-03  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/TagDatabaseManager.cs: Fixed mismatched single-quote.

2008-03-29  Marcos David Marín Amador <MarcosMarin@gmail.com>

	* Parser/Function.cs: No longer attempt to find prototypes.
	* Parser/TagDatabaseManager.cs: No longer generate prototype tags.
	* Gui/GeneralOptionsPanel.cs: changed completion for local variables
	  and memeber to on by default.

2008-03-29  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/*: Add best-guess completion for members and 
	(optionally, default off) local variables.

2008-03-21  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Instead of having the Include and Lib Paths
	  marked as ProjectPathItemProperty now mark them as regular
	  ItemProperties and instead added functionality to insert and parse
	  macros like ${ProjectDir} and ${CombineDir} in the Include and Lib
	  Paths.

2008-03-19  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Parser/TagDatabaseManager.cs: Search project include paths 
	for relatively-pathed includes.

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/CTextEditorExtension.cs: Only smart-indent when smart-indenting
	  is enabled. Respect tabs/spaces setting.

2008-03-16  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/OutputOptionsPanel.cs: Fix bug where the pauseCheckbox control could
	  be greyed out when it should be souldn't.

2008-03-14  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Insert into front of list instead of at the end,
	  fixes bug 368478: "Multi-line build errors are displayed out of order ".

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/GeneralOptionsPanel.cs, CBinding.addin.xml: Use new options
	  dialog infrastructure.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* Parser/LanguageItem.cs, Project/CProject.cs, Compiler/CCompiler.cs: Worked
	  on gnome hig compliant alerts.

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* ProjectPad/ProjectPackageNodeBuilder.cs: Handle the delete key in
	  TreeViewPad, so it will work event if the shortcut is not defined.

2008-02-19  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Handle better CleanPrecompiledHeaders, fixes bug
	  361045.

2008-02-14  Geoff Norton  <gnorton@novell.com>

	* Parser/TagDatabaseManager.cs: Disable the ctag implementation on OSX 
	as the ctags that apple ships is entirely incompatible with this parser.

2008-02-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Make sure directory exists before attempting to
	  delete it.

2008-02-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Use string.Join instead of custom method.

2008-02-09  Mike Krüger <mkrueger@novell.com> 

	* CBinding.addin.xml, CBinding.mdp, Makefile.am: Removed source editor
	  dependency.

2008-02-07  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/TagDatabaseManager.cs: Improve error handling. Should fix "Bug
	  359567 - MonoDevelop crashes when creating/opening C++ Console Project".

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Update MD version.

2008-01-22  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Removed useless code.

2008-01-18  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Parser/TagDatabaseManager.cs: Cache tags into a hash table and see if they
	  had been previously cached before looking for them again.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/StaticLibraryCProject.xpt.xml,
	  templates/StaticLibraryCppProject.xpt.xml,
	  templates/EmptyCProject.xpt.xml, templates/EmptyCSourceFile.xft.xml,
	  templates/EmptyCppProject.xpt.xml, templates/EmptyCppSourceFile.xft.xml,
	  templates/ConsoleCProject.xpt.xml, templates/ConsoleCppProject.xpt.xml,
	  templates/EmptyCHeaderFile.xft.xml,
	  templates/EmptyCppHeaderFile.xft.xml,
	  templates/SharedLibraryCProject.xpt.xml,
	  templates/SharedLibraryCppProject.xpt.xml: Make template categories
	  translatable.

2008-01-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Parser/TagDatabaseManager.cs: Only lock the parsingJobs queue object.

2008-01-11  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Parser/TagDatabaseManager.cs: When searching for a tag instead of doing a
	  linear search do a binary search (ctags output sorted tag files).
	  Greatly improves parsing speed. Also removed some unused methods.

2008-01-08  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs: Make sure packages are not repeated if the
	  system has more than one copy of the same package in different
	  directories.
	* Parser/TagDatabaseManager.cs: Changed the name of a propery.

2008-01-07  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Deploy resources in the correct way.

2008-01-04  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/TagDatabaseManager.cs: Only try to parse tags if ctags and gcc are
	  installed.

2007-12-31  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Report errors in the same order as they were
	  outputted by the compiler and parse linker output to form better linker
	  error reports.

2007-12-31  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Copy deployment files to output directory when
	  building the project.

2007-12-28  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/GeneralOptionsPanel.cs, CBinding.addin.xml,
	  Parser/TagDatabaseManager.cs, CBinding.mdp, Project/CProject.cs,
	  gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs, gtk-gui/objects.xml,
	  gtk-gui/CBinding.GeneralOptionsPanel.cs, gtk-gui/gui.stetic,
	  Makefile.am: Added a general configuration panel for CBinding where you
	  can choose the default compiler for new C and C++ projects as well as
	  set if you want to parse system tags or not.
	* Compiler/GppCompiler.cs, Compiler/GccCompiler.cs: Changed compiler names.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp: Updated project files. The order of extended properties
	  won't change anymore.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp, Makefile.am: Add missing reference.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml, CBinding.mdp, CBinding.mds,
	  CBinding.Autotools/CBinding.Autotools.mdp, Makefile.am: Directory
	  reorganization.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp, gtk-gui/gui.stetic: Updated paths.

2007-11-23  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Should fix bug #343098
	
	  gcc/g++ failed if path had white spaces.

2007-11-17  Christian Hergert <christian.hergert@gmail.com> 

	* Gui/EditPackagesDialog.cs: Check if string is null or empty before using
	  it to prevent crash.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* Parser/TagDatabaseManager.cs: Track LoggingService API changes.

2007-11-06  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs: Moved all the threading for the
	  parsing of source files to the TagDatabaseManager, parsing jobs are
	  placed on a queue and dispatched by a single thread. Fixes bug 336368.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Bump MD version.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Track changes in the Icon extension node.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Compiler/GNUCompiler.cs: Handle cancellation of build.

2007-10-25  Michael Hutchinson <mhutchinson@novell.com> 

	* Gui/EditPackagesDialog.cs: Normalise pkg-config paths so that comparison
	  to avoid duplication works correctly. Add lib64 to default paths.
	* Project/CProjectConfiguration.cs: Add configuration option to disable
	  precompilation of headers.
	* Project/CProjectServiceExtension.cs: Pass cleanup to ICompiler.Clean.
	* Compiler/CCompiler.cs, Compiler/ICompiler.cs: Add Clean method and
	  SupportsPrecompiledHeaders property.
	* Compiler/GNUCompiler.cs: Reworked process launching so that it handles
	  output as it's generated. (fixes "Bug 336363 - [CBinding, possibly all
	  MD] MD hangs when a compile output is long"). Headers are now
	  precompiled if they're set to "compile", and precompilation errors are
	  reported. Clean precompiled headers when appropriate. Pass package flags
	  to header precompilation. Report build phases to monitor, also using
	  gettext.

2007-10-25  Lluis Sanchez Gual <lluis@novell.com> 

	* icons/text-x-c++src.32x32.png, templates/EmptyCHeaderFile.xft.xml,
	  templates/EmptyCppHeaderFile.xft.xml,
	  templates/EmptyCppSourceFile.xft.xml,
	  templates/EmptyCSourceFile.xft.xml: Use tango file icons. Removed
	  obsolete icons.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp, templates/StaticLibraryCProject.xpt.xml,
	  templates/StaticLibraryCppProject.xpt.xml,
	  templates/EmptyCProject.xpt.xml, templates/EmptyCppProject.xpt.xml,
	  templates/ConsoleCProject.xpt.xml, templates/ConsoleCppProject.xpt.xml,
	  templates/SharedLibraryCProject.xpt.xml,
	  templates/SharedLibraryCppProject.xpt.xml, Makefile.am,
	  icons/C.Project.ConsoleProject, icons/C.Project.SharedLibrary,
	  icons/Cpp.Project.Empty, icons/C.Project.Empty,
	  icons/C.Project.StaticLibrary, icons/c-icon-32.png,
	  icons/cpp-icon-32.png: Updated project icons. Use the base project icon
	  with an overlay to show the type.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp, CBinding.mds, CBinding.Autotools/CBinding.Autotools.mdp:
	  Project file names updated by change in MD path functions.

2007-10-20  Chris Howie <bzximian.3.crazycomputers@neverbox.com> 

	* Project/CProject.cs: Don't assume LD_LIBRARY_PATH is set.

2007-10-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs: If exuberant-ctags is not
	  installed, instead of showing an error message dialog, put an error
	  message in the class pad in the project node.

2007-10-05  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CodeGenerationPanel.cs, Project/CCompilationParameters.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs, gtk-gui/gui.stetic,
	  Compiler/GNUCompiler.cs: Added "Treat warnings as errors" option to code
	  generation panel and implemented it for gcc and g++.
	* Parser/TagDatabaseManager.cs: Suppressed unused variable warning and added
	  checks for faulty ctags tags.

2007-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* CBinding.mdp, gtk-gui/gui.stetic: Target GTK# 2.8.
	* Project/CProject.cs: Track execution API changes.

2007-09-27  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.mdp: Don't local copy references.

2007-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* Parser/TagDatabaseManager.cs: Don't crash if the compiler can't be found.
	* Compiler/GNUCompiler.cs: Check for the compiler before trying to compile.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* CBinding.addin.xml: Bump MD version.

2007-09-17  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com> 

	* Parser/Function.cs, Parser/TagDatabaseManager.cs,
	  Navigation/ProjectNodeBuilderExtension.cs: Make sure ctags process exits
	  and fixed several null pointer exceptions.

2007-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.AddPathDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs,
	  gtk-gui/CBinding.CompilerPanel.cs,
	  gtk-gui/CBinding.OutputOptionsPanel.cs,
	  gtk-gui/CBinding.AddLibraryDialog.cs: Updated.

2007-09-14  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.mdp: Set path to configure.in in Makefile integration.

2007-09-14  Martin Dederer <martindederer@gmx.de>

	* Compiler/GNUCompiler.cs: Added method to expand backticked portions
	in compiler-/ linker-arguments

2007-09-07  Marcos David Marín Amador <MarcosMarin@gmail.com>

	* CBinding.Autotools: Set svn:ignore property on
	  CBinding.Autotools.pidb

2007-09-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Gui/CTextEditorExtension.cs: Track api changes.
	* CBinding.mdp: Use gtk# 2.8.

2007-09-07   <> 

	* Makefile.am: Check ENABLE_C to find out if assembly should be compiled or
	  not.

2007-09-05  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs: Update ClassPad when the
	  project starts without having to save a file.

2007-09-04  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CodeGenerationPanel.cs, Compiler/GNUCompiler.cs: Change newlines into
	  spaces from ExtraCompiler/LinkerArgs right before compilation so the
	  newline and spaces are conserved when serializing the project.

2007-09-03  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* Gui/OutputOptionsPanel.cs, Gui/CodeGenerationPanel.cs,
	  Gui/CompilerPanel.cs, Parser/TagDatabaseManager.cs: Adapt to new api
	  changes.

2007-09-01  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CompilerPanel.cs, Project/CProject.cs: Allow changing the project's
	  language from C to C++ and vice versa by changing the compiler in the
	  compiler panel.

2007-09-01  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Fixed ccache implementation, though I'm still not
	  sure if ccache should be used in the linking stage (Its currently not
	  used, and I think thats correct).

2007-08-31  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/gui.stetic: Ignore case when searching for a pkg-pcackages
	  version.
	* Compiler/CCompiler.cs, Compiler/GNUCompiler.cs: No longer call bash.

2007-08-30  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* gtk-gui/CBinding.CodeGenerationPanel.cs, gtk-gui/gui.stetic: Still more
	  CodeGenerationPanel UI improving. I think it is now good enough for now.

2007-08-29  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* gtk-gui/CBinding.CodeGenerationPanel.cs, gtk-gui/gui.stetic: Improved UI,
	  could still use more improvement.

2007-08-28  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProjectConfiguration.cs: rewrote naming convetion handling.

2007-08-20  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CompilerPanel.cs, Project/CProjectConfiguration.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs,
	  gtk-gui/CBinding.CompilerPanel.cs, gtk-gui/gui.stetic,
	  Compiler/CCompiler.cs, Compiler/ICompiler.cs, Compiler/GNUCompiler.cs:
	  Added support for ccache.

2007-08-19  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* templates/EmptyCSourceFile.xft.xml, templates/EmptyCppSourceFile.xft.xml,
	  templates/EmptyCHeaderFile.xft.xml,
	  templates/EmptyCppHeaderFile.xft.xml: Fixed some default values.
	* Project/CProject.cs: Fixed a bug where the deploy state of files was not
	  persistent.

2007-08-18  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/ProjectPackageCollection.cs: Added a ToStringArray method to
	  easily get an array of the names of the packages the collection
	  contains.
	* Project/CProject.cs: Fixed up the deployment pkg-config package and
	  improved deployment.
	* Compiler/CCompiler.cs, Compiler/ICompiler.cs, Compiler/GNUCompiler.cs:
	  Added a GenerateDefineFlags method which is used to write the deployed
	  pkg-config package.

2007-08-17  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Fixed a null pointer exception and changed library
	  deployments to ProgramFilesRoot.

2007-08-17  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Enhanced deployment.

2007-08-16  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CLanguageBinding.cs: Made C specific.
	* CppLanguageBinding.cs: Needed so that templates can have C++ files.
	* CBinding.addin.xml: Bumped version to 0.15.0
	
	  Seperated file filter for C and C++.
	
	  Added project templates for Shared Library, Static Library and Console
	  Project for both C and C++.
	
	  Added a seperate language binding for C and one for C++ (this was
	  necessary to have project templates that include C++ files).
	* CBinding.mdp, templates/StaticLibraryCProject.xpt.xml,
	  templates/StaticLibraryCppProject.xpt.xml,
	  templates/ConsoleCProject.xpt.xml, templates/ConsoleCppProject.xpt.xml,
	  templates/SharedLibraryCProject.xpt.xml,
	  templates/SharedLibraryCppProject.xpt.xml, Makefile.am,
	  icons/C.Project.ConsoleProject, icons/C.Project.SharedLibrary,
	  icons/C.Project.StaticLibrary: New templates for Shared Library, Static
	  Library and Console Project for C and C++.
	* README: Added icon licence information.

2007-08-15  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml, CBinding.mdp, Project/CProject.cs, Makefile.am:
	  Implemented IDeployable.

2007-08-15  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Write all directories with header files to the
	  project's pkg-config package.

2007-08-14  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* gtk-gui/CBinding.OutputOptionsPanel.cs, gtk-gui/gui.stetic: Make output
	  entry editable.

2007-08-14  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProjectServiceExtension.cs: Update the project's pkg package
	  every time it is compiled.

2007-08-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  Project/CProjectConfiguration.cs, Project/CProject.cs: Allow CProjects
	  to depend on other CProjects that compile into a shared object as well
	  as static libraries.

2007-08-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/DataProvider.cs, CBinding.addin.xml, Navigation/UnionNodeBuilder.cs:
	  Added the  union icons to the stock icons so I don't have to create my
	  own pixbuf in the union node builder and now I can use the proper union
	  icon in the completion widget.

2007-08-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Parser/TagDatabaseManager.cs: Parse functions from it's prototype if
	  possible instead of waiting for the implementation, if it is an inline
	  function parse it with that.

2007-08-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml, ProjectPad/ProjectResourcesExtension.cs, Makefile.am:
	  Hide the resources node in the project pad for CProjects.

2007-08-12  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml: Added the paste command to the packages folder node's
	  context menu and the copy command to the package node's context menu.

2007-08-11  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Project/CProjectConfiguration.cs: Make paths relative to project folder.

2007-08-09  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/DataProvider.cs, Parser/Function.cs: Support for constant methods.
	* CBinding.addin.xml: Fixed addin-breaker-typo-from-hell.

2007-08-09  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml, CBinding.mdp: Some corrections.

2007-08-09  Marcos David Marín Amador <MarcosMarin@gmail.com>

	* CBinding.addin.xml, CBinding.mdp, Makefile.am: Updated the paths and
	  embedded the .addin.xml into the assembly

2007-08-08  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CTextEditorExtension.cs, Gui/DataProvider.cs,
	  Parser/ProjectInformation.cs, Parser/Function.cs,
	  Parser/TagDatabaseManager.cs: Parse and complete for included system
	  files too.

2007-08-07  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/OutputOptionsPanel.cs, Gui/AddLibraryDialog.cs,
	  Gui/EditPackagesDialog.cs, Gui/AddPathDialog.cs,
	  Gui/CodeGenerationPanel.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.AddPathDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs,
	  gtk-gui/CBinding.OutputOptionsPanel.cs,
	  gtk-gui/CBinding.AddLibraryDialog.cs, gtk-gui/gui.stetic: Updated
	  widgets.

2007-08-07  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml, gtk-gui/CBinding.CodeGenerationPanel.cs: Removed
	  autotools support since it is currently very .NET specific.

2007-08-06  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml, CBinding.mdp, CBinding.mds,
	  CBinding.Autotools/AssemblyInfo.cs,
	  CBinding.Autotools/CAutotoolsSetup.cs,
	  CBinding.Autotools/CBinding.Autotools.mdp, Compiler/CCompiler.cs,
	  Compiler/ICompiler.cs, Compiler/GNUCompiler.cs: Started work on
	  supporting makefile generation.

2007-08-06  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/DataProvider.cs: Use correct icons.

2007-08-06  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs,
	  ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Adjusted to new API
	  changes.

2007-08-03  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CTextEditorExtension.cs: Added support for '::' completion.
	* Gui/DataProvider.cs: Changed the completion icon of a typedef to match the
	  icon used in the class pad.
	* Makefile.am, CBinding.addin.xml, CBinding.mdp,
	  templates/EmptyCSourceFile.xft.xml,
	  templates/EmptyCppSourceFile.xft.xml,
	  templates/EmptyCHeaderFile.xft.xml,
	  templates/EmptyCppHeaderFile.xft.xml: Added file templates and changed
	  icons.
	* Parser/ProjectInformation.cs: Added some helper methods.
	* Parser/Function.cs: Overrided the Equals and GetHasCode methods so that it
	  uses the function's parameters too.

2007-07-26  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs,
	  Gui/CTextEditorExtension.cs, Project/CProject.cs,
	  Parser/Enumerator.cs, Parser/Function.cs, Parser/Enumeration.cs,
	  Parser/Union.cs, Parser/TagDatabaseManager.cs, Parser/Namespace.cs,
	  Parser/Typedef.cs, Parser/Structure.cs, Parser/LanguageItem.cs,
	  Parser/Class.cs, Parser/Member.cs: Now a file's tags are updated
	  when the file is saved. Also, instead of writing the tags to a file
	  I now write them to stdout and parse them from there since I now
	  parse per file instead of the entire project.

2007-07-25  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs,
	  Parser/TagDatabaseManager.cs: It is now possible to update tags for
	  only one source file instead of the entire project (though it's
	  curently not in use anywhere).
	
	  When it does this it creates a tags file for the source file and
	  the included non system headers and parses that file.
	
	  I'm not sure where this code should be called.
	* Navigation/LanguageItemEventArgs.cs, Navigation/ClassPadEventArgs.cs:
	  Made these subclass EventArgs.
	* Gui/CTextEditorExtension.cs, Gui/DataProvider.cs: Implemented simple
	  code completion by pressing ctrl+space.

2007-07-24  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/DataProvider.cs: Make the name of the method bold.

2007-07-22  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/Enumerator.cs, Navigation/Function.cs,
	  Navigation/Variable.cs, Navigation/Enumeration.cs,
	  Navigation/Union.cs, Navigation/Namespace.cs,
	  Navigation/Typedef.cs, Navigation/Structure.cs,
	  Navigation/Macro.cs, Navigation/LanguageItem.cs,
	  Navigation/Class.cs, Navigation/Member.cs: Moved to
	  CBinding.Parser.
	* Gui/CTextEditorExtension.cs, Gui/DataProvider.cs, Parser/Tag.cs,
	  Parser/TagDatabaseManager.cs, CBinding.mdp: Implemented simple
	  parameters completion.

2007-07-19  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Send -fPIC to the compiler if the compile
	  target is a shared library (Is this really needed?).

2007-07-19  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Fixed a bug in dependency tracking.

2007-07-18  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, Project/ProjectPackageCollection.cs,
	  Project/CProject.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/gui.stetic, CBinding.addin.xml,
	  ProjectPad/ProjectPackagesFolderNodeBuilder.cs: Fixed several bugs.
	* Makefile.am, ProjectPad/ProjectPackageNodeBuilder.cs,
	  icons/Icons.16x16.ProjectReference, CBinding.mdp: Project packages
	  have a different icon.

2007-07-17  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/gui.stetic: Got the edit packages dialog to work with
	  adding packages from projects in the combine (though it's a bit
	  buggy)

2007-07-15  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs, Project/ProjectPackage.cs,
	  Project/CProjectServiceExtension.cs, Project/CProject.cs,
	  Compiler/CCompiler.cs,
	  ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs: Projects can now depend on
	  other projects in the solution (currently only projects that
	  compile into a static library).

2007-07-14  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Implemented dependency tracking. Dependency
	  tracking is treated as a side effect of compiling.

2007-07-14  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CTextEditorExtension.cs, CBinding.addin.xml, CBinding.mdp,
	  Makefile.am: Implemented a better formatting strategy (using a text
	  editor extension). 

2007-07-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Gui/CTextEditorExtension.cs, CBinding.addin.xml, CBinding.mdp,
	  CFormattingStrategy.cs, Makefile.am: Implemented a very simple
	  FormattingStrategy.
	* Project/CProject.cs: Changed the project type from 'C/C++' to
	  'Native'.

2007-07-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* Navigation/StructureNodeBuilder.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/MemberNodeBuilder.cs, Navigation/Function.cs,
	  Navigation/Enumeration.cs, Navigation/GlobalsNodeBuilder.cs,
	  Navigation/VariableNodeBuilder.cs,
	  Navigation/EnumerationNodeBuilder.cs, Navigation/Member.cs,
	  Navigation/MacroDefinitionsNodeBuilder.cs,
	  Navigation/Enumerator.cs, Navigation/ClassNodeBuilder.cs,
	  Navigation/Variable.cs, Navigation/Union.cs,
	  Navigation/Namespace.cs, Navigation/Typedef.cs,
	  Navigation/Structure.cs, Navigation/Macro.cs,
	  Navigation/LanguageItem.cs, Navigation/FunctionNodeBuilder.cs,
	  Navigation/UnionNodeBuilder.cs, Navigation/Class.cs,
	  Navigation/NamespaceNodeBuilder.cs, Makefile.am, CBinding.mdp,
	  Parser/TagDatabaseManager.cs, Parser/Tag.cs,
	  Parser/ProjectInformation.cs, Parser/ProjectInformationManager.cs:
	  Seperated the navigation stuff from the parsing stuff.

2007-07-13  Marcos David Marín Amador <MarcosMarin@gmail.com> 

	* ProjectPad/ProjectPackageNodeBuilder.cs: Implemented dragging and
	  dropping of packages.

2007-07-12  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProjectConfiguration.cs: Fixed a bug which was causing the
	  app to go into an infinite loop.

2007-07-12  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProjectServiceExtension.cs: Removed the need to invoke bash
	  when removing object code files.
	* Compiler/GNUCompiler.cs: Small fixes.

2007-07-12  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProjectConfiguration.cs, Project/CProject.cs,
	  Compiler/GNUCompiler.cs: Inplemented support for precompiled header
	  files in gcc and g++.
	* CBinding.addin.xml: Fixed something I had broken.

2007-07-10  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/ClassPadEventArgs.cs, Project/CProject.cs, Makefile.am,
	  CBinding.addin.xml, icons/update,
	  ProjectPad/ProjectPackagesFolderNodeBuilder.cs, CBinding.mdp: The
	  class pad tree is now built in a seperate thread so it does not
	  block the UI while it is being built.

2007-07-07  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/GlobalsNodeBuilder.cs: Fixes class pad bug when there are
	  multiple C projects open.

2007-07-06  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/StructureNodeBuilder.cs, Navigation/ClassNodeBuilder.cs:
	  The "Show Public Api Only" class pad option is now considered.

2007-07-06  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/TagDatabaseManager.cs, Navigation/GlobalsNodeBuilder.cs:
	  Undid the work I had started on getting the tree built in the
	  background because I have to think more about how I'm going to
	  implement that.

2007-07-05  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/LanguageItemEventArgs.cs,
	  Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/GlobalsNodeBuilder.cs,
	  Navigation/LanguageItemCommandHandler.cs,
	  Project/ProjectPackageEventArgs.cs, Makefile.am, CBinding.mdp:
	  Started work on making the class pad tree get created in the
	  background in a seperate thread.

2007-07-03  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/TypedefNodeBuilder.cs, Navigation/StructureNodeBuilder.cs,
	  Navigation/Function.cs, Navigation/Enumeration.cs,
	  Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/GlobalsNodeBuilder.cs, Navigation/Member.cs,
	  Navigation/Tag.cs, Navigation/ClassNodeBuilder.cs,
	  Navigation/Union.cs, Navigation/Structure.cs,
	  Navigation/Typedef.cs, Navigation/FunctionNodeBuilder.cs,
	  Navigation/LanguageItem.cs, Navigation/Class.cs,
	  Navigation/UnionNodeBuilder.cs, Navigation/NamespaceNodeBuilder.cs,
	  gtk-gui/gui.stetic, Makefile.am, CBinding.addin.xml,
	  icons/Icons.16x16.ProtectedUnion, icons/Icons.16x16.PrivateUnion,
	  icons/Icons.16x16.Union, CBinding.mdp: Added support for typedefs
	  and unions in the class pad.

2007-07-02  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/StructureNodeBuilder.cs,
	  Navigation/Enumerator.cs, Navigation/ClassNodeBuilder.cs,
	  Navigation/Enumeration.cs, Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/EnumeratorNodeBuilder.cs,
	  Navigation/GlobalsNodeBuilder.cs, Navigation/LanguageItem.cs,
	  Navigation/EnumerationNodeBuilder.cs,
	  Navigation/NamespaceNodeBuilder.cs, Makefile.am,
	  CBinding.addin.xml, CBinding.mdp: Added support for enumerations
	  and their respective enumerators in the class pad.
	* Navigation/LanguageItemCommandHandler.cs: Small change which fixes a
	  bug when double clicking a macro definition.

2007-07-02  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* CBinding.addin.xml: Fixed a typo.

2007-07-02  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/MacroNodeBuilder.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/GlobalsNodeBuilder.cs, Navigation/Macro.cs,
	  Navigation/MacroDefinitionsNodeBuilder.cs, Makefile.am,
	  CBinding.addin.xml, CBinding.mdp: Added support for macro
	  definitions to appear in the class pad. They will appear in a
	  special node called "Macro Definitions".

2007-07-02  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/Variable.cs,
	  Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/GlobalsNodeBuilder.cs,
	  Navigation/VariableNodeBuilder.cs, Makefile.am, CBinding.addin.xml,
	  CBinding.mdp: Added support for global variables to be added to the
	  class pad. Also fixed options sent to ctags so macro difinitions
	  can now be easily handled.

2007-07-01  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/StructureNodeBuilder.cs,
	  Navigation/ClassNodeBuilder.cs, Navigation/MemberNodeBuilder.cs,
	  Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs, Navigation/Member.cs,
	  Makefile.am, CBinding.addin.xml, CBinding.mdp: Added support for
	  members.
	* Navigation/Function.cs, Navigation/Namespace.cs, Navigation/Class.cs:
	  Removed some unused usings.

2007-07-01  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/Function.cs,
	  Navigation/TagDatabaseManager.cs, Navigation/LanguageItem.cs:
	  Separated the parse structure from the parser.

2007-07-01  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/LanguageItem.cs: Optimized memory usage
	  by parsing fields as the tags a read in.

2007-06-30  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/StructureNodeBuilder.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/ClassNodeBuilder.cs, Navigation/Function.cs,
	  Navigation/TagDatabaseManager.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/Namespace.cs, Navigation/LanguageItemCommandHandler.cs,
	  Navigation/Structure.cs, Navigation/GlobalsNodeBuilder.cs,
	  Navigation/LanguageItem.cs, Navigation/FunctionNodeBuilder.cs,
	  Navigation/Class.cs, Navigation/NamespaceNodeBuilder.cs,
	  Makefile.am, CBinding.addin.xml, CBinding.mdp: Added structures to
	  the class pad and refactored the code a bit more.

2007-06-29  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/TagDatabaseManager.cs,
	  Navigation/Namespace.cs,
	  Navigation/ProjectNavigationInformation.cs,
	  Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/GlobalsNodeBuilder.cs, Navigation/ClassNodeBuilder.cs,
	  Navigation/LanguageItem.cs, Navigation/Function.cs,
	  Navigation/Class.cs, Navigation/NamespaceNodeBuilder.cs,
	  gtk-gui/gui.stetic, Makefile.am, CBinding.addin.xml, CBinding.mdp:
	  Added support for classes in the class pad and refactored the code
	  a bit.

2007-06-27  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs: Created a new enum for access modifiers.
	* Navigation/TagDatabaseManager.cs: ctags now also creates tags for
	  function prototypes. (needed to identify a function's namespace if
	  any).
	* Navigation/Namespace.cs: Changed the separator between parent/child
	  namespaces in a namespace's FullName to :: from .
	* Navigation/ProjectNavigationInformation.cs: Added functions field.
	* Navigation/ProjectNodeBuilderExtension.cs: Added the special
	  "Globals" node.
	* Navigation/GlobalsNodeBuilder.cs, Navigation/FunctionNodeBuilder.cs,
	  Navigation/Function.cs: Added support for functions in the Class
	  Pad, global functions that are not in any namespace are placed in a
	  special "Globals" node.
	* Navigation/NamespaceNodeBuilder.cs: This namespace's global functions
	  are now added.
	* Makefile.am, ProjectPad/ProjectPackagesFolderNodeBuilder.cs,
	  ProjectPad/ProjectPackageNodeBuilder.cs,
	  ProjectPad/ProjectReferencesExtension.cs,
	  ProjectPad/ProjectNodeExtension.cs, CBinding.mdp: Moved to folder
	  and namespace ProjectPad
	* CBinding.addin.xml: Added support for functions in the Class Pad,
	  global functions are placed in a special "Globals" node.

2007-06-26  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs, gtk-gui/gui.stetic:
	  Improved spacing a bit.

2007-06-26  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs: Fixed up a bit.
	* Navigation/TagDatabaseManager.cs: The entire tag database for each
	  project is managed here.
	* Navigation/Namespace.cs, Navigation/ProjectNodeBuilderExtension.cs,
	  Navigation/NamespaceNodeBuilder.cs, CBinding.addin.xml: Namespaces
	  now appear in the Class Pad.
	* Navigation/ProjectNavigationInformation.cs,
	  Navigation/ProjectNavigationInformationManager.cs: Information on a
	  project's navigation information is kept and managed here.
	* Makefile.am, CBinding.mdp: Added new files.

2007-06-25  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Navigation/Tag.cs, Navigation/Namespace.cs,
	  Navigation/ProjectNodeBuilderExtension.cs, CBinding.addin.xml:
	  Started work on code navigation.

2007-06-25  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProjectServiceExtension.cs, Project/CProject.cs,
	  Makefile.am, CBinding.addin.xml, CBinding.mdp, Completion.cs: Got
	  rid of anything related to CTagsCompletion.

2007-06-24  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Changed to accomodate the new CTagsCompletion
	  design
	* Completion.cs: This is where CBinding will specify more specialized
	  behavior for the CTagsCompletion AddIn

2007-06-22  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Made a very simple implementation of
	  AddTagsToProvider which is the method where the logic about which
	  tags shoud be added to the completion list window takes place.

2007-06-21  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Gui/EditPackagesDialog.cs: Added a package icon to both packages
	  columns.
	* Project/CProjectBinding.cs, Project/CProject.cs: Implemented
	  CreateSingleFileProject

2007-06-20  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Gui/OutputOptionsPanel.cs, Project/CProject.cs,
	  gtk-gui/CBinding.EditPackagesDialog.cs,
	  gtk-gui/CBinding.CodeGenerationPanel.cs, Compiler/GNUCompiler.cs:
	  Fixed a few bugs.

2007-06-19  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: Fixed bug where only projects that had a binary
	  target got correctly cleaned.

2007-06-19  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Gui/ProjectPackagesFolderNodeBuilder.cs: Changed the package
	  added/removed handlers to just call UpdateAll from the builder.

2007-06-19  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Gui/ProjectPackagesFolderNodeBuilder.cs: Changed the node builder so
	  that it registeres even handlers correctly
	* Project/ProjectPackageCollection.cs, Project/CProject.cs: Removed the
	  SetProject method and replaced it with and internal get/set
	  property.

2007-06-19  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProject.cs: CProject does want it's tags written.

2007-06-18  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Project/CProjectServiceExtension.cs, Project/CProject.cs: Changed to
	  accomodate the new CTagsCompletion design.

2007-06-17  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Compiler/GNUCompiler.cs: Added debug information creation for the
	  Debug configuration and fixed bug where the target output was not
	  buing built when it should be.

2007-06-17  Marcos David Marin Amador <MarcosMarin@gmail.com> 

	* Gui/CodeGenerationPanel.cs, Project/CCompilationParameters.cs,
	  Project/CProject.cs, Compiler/GNUCompiler.cs: The extra compiler
	  and extra linker options is now shown is an TextView in the code
	  generation panel and I added define symbols support.

